Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003544TestLinkAPI - XMLRPCpublic2010-06-21 20:542010-11-14 12:07
Reporterrtessier 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 (Prague) 
Summary0003544: TL API - deleteExecution doesn't handle missing execution id
DescriptionThe deleteExecution method of the TestlinkXMLRPCServer class calls the 'checkExecutionId' method through the '_runChecks' method, but doesn't handle the return value.

If the return value of '_runChecks' is false, an error should be returned (i.e. MISSING_REQUIRED_PARAMETER).
Steps To ReproduceRun the 'tl.deleteExecution' XML-RPC method without the 'executionid' parameter.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3544.zip [^] (97,944 bytes) 2010-07-11 17:50

- Relationships
child of 0003570closedfman Availables Fixes for 1.9 Beta 5 

-  Notes
(0010607)
fman (administrator)
2010-07-11 17:51

try witha attached file and let us know
(0012210)
fman (administrator)
2010-10-31 18:01

no user feedback
(0012507)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-06-21 20:54 rtessier New Issue
2010-06-22 05:53 fman Assigned To => fman
2010-06-22 05:53 fman Status new => assigned
2010-07-11 17:50 fman File Added: fix-3544.zip
2010-07-11 17:51 fman Note Added: 0010607
2010-07-11 17:51 fman Status assigned => feedback
2010-07-11 17:51 fman Relationship added child of 0003570
2010-07-15 16:33 fman Summary deleteExecution doesn't handle missing execution id => TL API - deleteExecution doesn't handle missing execution id
2010-10-31 18:01 fman Note Added: 0012210
2010-10-31 18:01 fman Status feedback => resolved
2010-10-31 18:01 fman Fixed in Version => 1.9 (Prague)
2010-10-31 18:01 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012507
2010-11-14 12:07 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker